
Foreman - Bug #1197

it is possible to have 2 hosts with the same name in the interface.

09/29/2011 11:55 PM - Gustavo Soares
Priority: Normal   

Assignee:    

Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If a user saves a host specifing the fqdn (test.example.com) and then save the same host without specifing the fqdn (test) Foreman

will show 2 hosts with the same name in hosts listing. Operators seems to make some confusion about that. They see the hostname

registered in host's listing but don't know if they must use fqdn or not. I would be better to be explicit about that.

I don't know if this is the best approach, but here is the patch

https://github.com/gustavosoares/foreman/commit/37a2371fbb5356442769bc442a44a17b997e55ef

History

#1 - 01/29/2012 08:05 AM - Ohad Levy

- Status changed from New to Feedback

I think we already solved it with the latest view in 0.4.x

would you mind validating if this is still an issue?

thanks

#2 - 02/01/2012 01:29 PM - Gustavo Soares

- File duplicate_hosts_example.tiff added

Yeap. This issue still affects version 0.4.

I've attached a print screen. There are two hosts registered with the short name "cittavld126". The first was created without fqdn style.. and the

second with fqdn.

#3 - 07/04/2012 04:43 AM - Benjamin Papillon

- Category set to Web Interface

- Status changed from Feedback to New

#4 - 11/13/2012 12:13 PM - Greg Sutcliffe

- Target version set to Bug scrub

#5 - 11/15/2012 06:41 AM - Greg Sutcliffe

- Status changed from New to Closed

I cannot reproduce this in 1.x develop. If you create an unmanaged host without a domain, Foreman will now append it's own domain. Thus all hosts

are fully qualified, and you can't get duplicates.

Please re-open if you still hit this with the latest version.

Files
https://github.com/gustavosoares/foreman/commit/37a2371fbb5356442769bc442a44a17b997e55ef


duplicate_hosts_example.tiff 26.4 KB 02/01/2012 Gustavo Soares
